curl --request GET \
--url http://api.stuut.ai/v1/outreach-workflows/{outreach_workflow_id}/stages \
--header 'Authorization: Bearer <token>'import requests
url = "http://api.stuut.ai/v1/outreach-workflows/{outreach_workflow_id}/stages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('http://api.stuut.ai/v1/outreach-workflows/{outreach_workflow_id}/stages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"action": "email",
"event": "<string>",
"name": "<string>",
"object": "<string>",
"time_trigger": "<string>",
"workflow_id": "<string>",
"id": "<string>",
"auto_send": true,
"cc": [
"<string>"
],
"cc_secondary_contacts": true,
"created_at": "2023-11-07T05:31:56Z",
"email_template": {
"object": "<string>",
"id": "<string>",
"auto_correct": true,
"body": "<string>",
"cc": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"folder_id": "<string>",
"is_default": true,
"modified_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"subject": "<string>"
},
"external_roles_to_cc": [
"<string>"
],
"fallback_email_template": {
"object": "<string>",
"id": "<string>",
"auto_correct": true,
"body": "<string>",
"cc": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"folder_id": "<string>",
"is_default": true,
"modified_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"subject": "<string>"
},
"internal_roles_to_cc": [
"<string>"
],
"is_always_run_enabled": true,
"modified_at": "2023-11-07T05:31:56Z",
"num_days": 123,
"outreach_window_end": "<string>",
"outreach_window_start": "<string>",
"recurrence_end_offset_days": 123,
"recurrence_interval_days": 123
}
]{
"data": {},
"error": "<string>",
"message": "<string>"
}{
"data": {},
"error": "<string>",
"message": "<string>"
}List Outreach Workflow Stages
List all the stages that belong to an Outreach Workflow.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful response
email, call 5The name of the stage.
3232Whether to automatically send emails created by this stage. When false, the emails will be created and left in a draft state for you to send. Defaults to true.
List of email addresses to CC on the emails created by this stage.
Whether to CC all external contacts on the emails created by this stage.
Show child attributes
Show child attributes
List of external roles to CC on the emails created by this stage.
Show child attributes
Show child attributes
List of internal roles to CC on the emails created by this stage.
Whether to ignore the workflow's active days.
Override end time for outreach window (optional stage-level override)
Override start time for outreach window (optional stage-level override)
If set, stops recurring after N days past the event date; null where time_trigger = 'before' = until event date, null where time_trigger = 'after' = forever.
If set (>0), after the initial trigger this stage will re-fire every X days. Null = no recurrence.
